#!/bin/sh
if [ -f "/opt/mow/uninst" ]; then
  mow -u -f
fi

if [ ! -d "/opt/mow" ]; then
  mkdir /opt/mow
fi

if [ ! -d "/var/footage" ]; then
  mkdir /var/footage
fi

if [ ! -d "/etc/mow" ]; then
  mkdir /etc/mow
fi

if [ ! -d "/var/buffer" ]; then
  mkdir /var/buffer
fi

cp -v ./.build-mow/mow /opt/mow/bin

echo "writing /opt/mow/run"
printf "#!/bin/sh\n" > /opt/mow/run
printf "/opt/mow/bin \$1 \$2 \$3\n" >> /opt/mow/run

echo "writing /opt/mow/uninst"
printf "#!/bin/sh\n" > /opt/mow/uninst
printf "mow -r\n" >> /opt/mow/uninst
printf "rm -v /opt/mow/bin\n" >> /opt/mow/uninst
printf "rm -v /opt/mow/run\n" >> /opt/mow/uninst
printf "rm -v /opt/mow/uninst\n" >> /opt/mow/uninst
printf "rm -v /usr/bin/mow\n" >> /opt/mow/uninst
printf "rm -rv /opt/mow\n" >> /opt/mow/uninst
printf "deluser mow\n" >> /opt/mow/uninst

useradd -r mow
usermod -aG video mow

chown -R mow:mow /var/footage
chown -R mow:mow /var/buffer

chmod -v +x /opt/mow/run
chmod -v +x /opt/mow/bin
chmod -v +x /opt/mow/uninst

ln -sv /opt/mow/run /usr/bin/mow

sh imgmagick_build.sh
