#ifndef SERVICES_H
#define SERVICES_H

//    This file is part of Motion Watch.

//    Motion Watch is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.

//    Motion Watch is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.

#include "common.h"

QString camCmdFromConf(shared_t *conf, CmdExeType type);
void    servStatByDir(const QString &path);
void    servStatByConf(const QString &confFile);
int     loadService(const QString &desc, const QString &user, const QString &servName, const QString &workDir, const QString &recPath, bool start);
int     loadServiceByConf(const QString &confFile, bool start);
int     loadServiceByDir(const QString &path, bool start);
int     rmServiceByConf(const QString &confFile);
int     rmService(const QString &servName);
int     rmServiceByDir(const QString &path);
int     loadSh(const QString &name, const QString &exeCmd, const QString &workDir);

#endif // SERVICES_H
